commit: 9c5855a264086df35ad224c20f44c024316e0f3e
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 29 00:39:59 2017 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sat Apr 29 00:39:59 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c5855a2
sys-apps/yarn: make scripts executable for bug 614094
Package-Manager: Portage-2.3.5, Repoman-2.3.2
sys-apps/yarn/{yarn-0.21.3.ebuild => yarn-0.21.3-r1.ebuild} | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/sys-apps/yarn/yarn-0.21.3.ebuild
b/sys-apps/yarn/yarn-0.21.3-r1.ebuild
similarity index 73%
rename from sys-apps/yarn/yarn-0.21.3.ebuild
rename to sys-apps/yarn/yarn-0.21.3-r1.ebuild
index 94506663bde..631ba960a31 100644
--- a/sys-apps/yarn/yarn-0.21.3.ebuild
+++ b/sys-apps/yarn/yarn-0.21.3-r1.ebuild
@@ -19,9 +19,13 @@ DEPEND="${RDEPEND}"
S="${WORKDIR}/dist"
src_install() {
- local install_dir="/usr/$(get_libdir)/node_modules/yarn"
+ local install_dir="/usr/$(get_libdir)/node_modules/yarn" path
insinto "${install_dir}"
doins -r .
dosym "../$(get_libdir)/node_modules/yarn/bin/yarn.js" "/usr/bin/yarn"
fperms a+x "${install_dir}/bin/yarn.js"
+ while read -r -d '' path; do
+ [[ $(head -n1 "${path}") == \#\!* ]] || continue
+ chmod +x "${path}" || die #614094
+ done < <(find "${ED}" -type f -print0)
}